import request from '@/utils/request'

// 查询巡检线路点位列表
export function listLocation(query) {
  return request({
    url: '/qdtl/lineLocation/list',
    method: 'get',
    params: query
  })
}

// 查询巡检线路点位详细
export function getLocation(id) {
  return request({
    url: '/qdtl/lineLocation/' + id,
    method: 'get'
  })
}

// 新增巡检线路点位
export function addLocation(data) {
  return request({
    url: '/qdtl/lineLocation',
    method: 'post',
    data: data
  })
}

// 修改巡检线路点位
export function updateLocation(data) {
  return request({
    url: '/qdtl/lineLocation',
    method: 'put',
    data: data
  })
}

// 删除巡检线路点位
export function delLocation(id) {
  return request({
    url: '/qdtl/lineLocation/' + id,
    method: 'delete'
  })
}
